from django.db import models
from django.utils.translation import gettext as _
from django.core.validators import MinValueValidator
from decimal import Decimal
from django.templatetags.static import static


# Create your models here.
class Article(models.Model):
	nom_article = models.CharField(max_length=271, null=True, blank=True, default=None)
	image = models.FileField(upload_to='article/%Y/%m/%d/', null=True, blank=True, default=None)
	unitee =  models.CharField(max_length=10, null=True, blank=True)
	seuil_reapprovisionnement = models.DecimalField(decimal_places=0, max_digits=19, blank=True, default=0, validators=[MinValueValidator(Decimal('0.00'))])
	stock_d_ouverture =  models.DecimalField(decimal_places=0, max_digits=19, blank=True, default=0, validators=[MinValueValidator(Decimal('0.00'))])
	created_at = models.DateTimeField(auto_now_add=True)
	updated_at = models.DateTimeField(auto_now=True)
	stock_comptable_disponible = models.DecimalField(decimal_places=0, max_digits=19, blank=True, default=0)
	stock_physique_disponible = models.DecimalField(decimal_places=0, max_digits=19, blank=True, default=0)
	retour = models.BooleanField(default=False, null=True, blank=True)
	etat = models.CharField(max_length=50, null=True, blank=True, default='actif')
	quantitee_non_declarer_comme_lot = models.DecimalField(decimal_places=0, max_digits=19, blank=True, default=0, validators=[MinValueValidator(Decimal('0.00'))])
	poids = models.DecimalField(decimal_places=0, max_digits=19, blank=True, default=0) 
	def get_image(self):
		return self.image.url if self.image else static('assets/img/team/default-profile-picture.png')
